#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    double a,b;
    cin>>n;
    int niz1[n];
    double niz2[n];
    double suma=0;
    double maxsuma=0;
    for(int i=0;i<n;i++)
    {
        cin>>a>>b;
        niz1[i]=a;
        niz2[i]=b;
            for(int j=0;j<i+1;j++)
            {
                if(b<=niz2[j])
                 suma=niz1[j]*(b/100)+suma;
            }
            if(suma>maxsuma)
                maxsuma=suma;

            suma=0;
    }
    cout << fixed << setprecision(6) << maxsuma;
}